Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 97fbc67a2265c2ab4f8d16b1d71ea5d43a129fa5)
@@ -1,3 +1,5 @@
 package parkup.entities;
+
+import parkup.data.ParkingZoneLocation;
 
 import javax.persistence.*;
@@ -10,8 +12,8 @@
     @Id
     @SequenceGenerator(
-            name="parking_zone_generator",
+            name="parking_zone_sequence_generator",
             sequenceName = "parking_zone_sequence",
             allocationSize = 1,
-            initialValue = 500
+            initialValue = 600
     )
     @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
@@ -31,8 +33,11 @@
     private int capacity;
 
-    @Column(name = "work_hours")
-    private String workHours;
+    @Column(name = "time_from")  //za rabotni casovi od:
+    private int from;
 
-    @Column(name = "location")
+    @Column(name = "time_to")    //za rabotni casovi do:
+    private int to;
+
+    @Column(name = "lokacija")
     private String location;
 
@@ -40,32 +45,51 @@
     private int zafateniMesta;
 
+    @Column(name = "color")
+    private String color;
+
+    @ManyToMany(cascade = {CascadeType.ALL})
+    @JoinColumn(name="odgovorniLica",nullable = true)
+    private List<Vraboten> odgovorniLica;
+
     @OneToMany(cascade = {CascadeType.ALL})
-    @JoinColumn(name = "parkingSpaces", nullable = false)
     private List<ParkingSpace> parkingSpaces;
 
-    public ParkingZone() {
+    @OneToOne(cascade = {CascadeType.ALL})
+    private ParkingZoneLocation parkingZoneLocation;
+
+   public ParkingZone() {
+       this.zafateniMesta = 0;
+       this.parkingSpaces = new ArrayList<ParkingSpace>();
+   }
+
+    public ParkingZone(String pzName) {
+        this.pzName = pzName;
         this.zafateniMesta = 0;
         this.parkingSpaces = new ArrayList<ParkingSpace>();
     }
 
-    public ParkingZone(int pzId, String pzName, int price, int capacity, String workHours, String location, List<ParkingSpace> parkingSpaces) {
+    public ParkingZone(int pzId, String pzName, int price, int capacity, String location, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
         this.pzId = pzId;
         this.pzName = pzName;
         this.price = price;
         this.capacity = capacity;
-        this.workHours = workHours;
         this.location = location;
         this.zafateniMesta = 0;
         this.parkingSpaces = parkingSpaces;
+        this.color = color;
+        this.from = from;
+        this.to = to;
     }
 
-    public ParkingZone(String pzName, int price, int capacity, String workHours, String location, List<ParkingSpace> parkingSpaces) {
+    public ParkingZone(String pzName, int price, int capacity, String location, List<ParkingSpace> parkingSpaces, String color, int from, int to) {
         this.pzName = pzName;
         this.price = price;
         this.capacity = capacity;
-        this.workHours = workHours;
         this.location = location;
         this.zafateniMesta = 0;
         this.parkingSpaces = parkingSpaces;
+        this.color = color;
+        this.from = from;
+        this.to = to;
     }
 
@@ -102,12 +126,4 @@
     }
 
-    public String getWorkHours() {
-        return this.workHours;
-    }
-
-    public void setWorkHours(String workHours) {
-        this.workHours = workHours;
-    }
-
     public String getLocation() {
         return this.location;
@@ -125,3 +141,43 @@
 
     public void setParkingSpaces(List<ParkingSpace> parkingSpaces) {this.parkingSpaces = parkingSpaces;}
+
+    public String getColor() {
+        return color;
+    }
+
+    public void setColor(String color) {
+        this.color = color;
+    }
+
+    public int getFrom() {
+        return from;
+    }
+
+    public void setFrom(int from) {
+        this.from = from;
+    }
+
+    public int getTo() {
+        return to;
+    }
+
+    public void setTo(int to) {
+        this.to = to;
+    }
+
+    public ParkingZoneLocation getParkingZoneLocation() {
+        return parkingZoneLocation;
+    }
+
+    public void setParkingZoneLocation(ParkingZoneLocation parkingZoneLocation) {
+        this.parkingZoneLocation = parkingZoneLocation;
+    }
+
+    public List<Vraboten> getOdgovorniLica() {
+        return odgovorniLica;
+    }
+
+    public void setOdgovorniLica(List<Vraboten> odgovorniLica) {
+        this.odgovorniLica = odgovorniLica;
+    }
 }
